/**This program is to practice GTK by creating a window with a label inside it.
  The program will use GtkWidget of GtkLabel and GtkWindow to show message to user.
  We will not use any signals in this program to keep it simple.
  * @author Saurabh Barjatiya
  * @version 1.0
  * @file 02-gtk_label.c
  *
  */

#include <gtk/gtk.h>
#include <stdlib.h>

/**This is where program starts. This creates a window with a label hi in it.
  * @param argc Number of arguments passed to program
  * @param argv Array of arugments passed to program
  * @returns EXIT_SUCCESS if program exits properly, EXIT_FAILURE otherwise.
  *
  */
int main(int argc, char *argv[])
{
    GtkWidget *window;
    GtkWidget *label_hi;

    gtk_init(&argc, &argv);

    window=gtk_window_new(GTK_WINDOW_TOPLEVEL);
    label_hi=gtk_label_new("Hi");
    gtk_container_add(GTK_CONTAINER(window), label_hi);

    gtk_window_set_title(GTK_WINDOW(window), "02-gtk_label example");
    gtk_window_set_default_size(GTK_WINDOW(window),340,200);

    gtk_widget_show(label_hi);
    gtk_widget_show(window);
    gtk_main();

    return EXIT_SUCCESS;
}
